Summary: CMS and X.509 library
Name: libksba
Version: 1.6.4
Release: 2%{?dist}
License: (LGPLv3+ or GPLv2+) and GPLv3+
URL: https://www.gnupg.org/
Source0: https://www.gnupg.org/ftp/gcrypt/libksba/libksba-%{version}.tar.bz2
Patch3000: libksba-1.3.0-multilib.patch

BuildRequires: gcc gawk make 
BuildRequires: libgpg-error-devel >= 1.8
BuildRequires: libgcrypt-devel >= 1.2.0

%description
Libksba is a library to make the tasks of working with X.509 certificates, 
CMS data and related objects more easy. It provides a highlevel interface to 
the implemented protocols and presents the data in a consistent way. There is
 no more need to worry about all the nasty details of the protocols. 

%package devel
Summary: Development headers and libraries for libksba
Requires: libksba = %{version}-%{release}
Requires: pkgconfig

%description devel
Libksba is a library to simplify the task of working with X.509
certificates, CMS data, and related data.
This package contains the needed files to compile and link against
the libksba.

%prep
%autosetup -p1

iconv -f ISO-8859-1 -t UTF-8 -o THANKS.new THANKS && \
touch -r THANKS THANKS.new && \
mv THANKS.new THANKS

%build
%configure --disable-dependency-tracking --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/lib*.la

%check
make check

%files
%license COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv3
%doc AUTHORS ChangeLog NEWS README* THANKS TODO
%{_libdir}/libksba.so.8*

%files devel
%{_bindir}/ksba-config
%{_libdir}/libksba.so
%{_libdir}/pkgconfig/ksba.pc
%{_includedir}/ksba.h
%{_datadir}/aclocal/ksba.m4
%{_infodir}/ksba.info*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.4-1
- Bump version to 1.6.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 08 2022 Wang Zhe <bessiewang@tencent.com> - 1.6.0-1
- initial build
